Subject: Ticket Assigned - Feedback or suggestions
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 13 Mar 2021 16:57:18 +0000

Hi Tarish Ayubi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions The worst experience I had and I'm going to complain to the right authorities.

My order was returned on February 9, the team has failed to cancel my order 3 times.

Today is March 13 and my order is still not cancelled and I didnt receive my refund. The amount is AED 1800 and 3 agents from call center didnt complete my request.

I demand that you give me the names of the call center agents and I'm going to complain at Consumer Rights.

This is absurd and not acceptable, you have been holding my money back since February 9.

If you don't attend to this request as soon as possible I will go to Consumer Rights and ask them to get my money back.

3 agents if I don't get their details I will ensure that they get punished for their mistakes and carelessness. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2237429